/*******************************************************************************
 * OnlineStoreInterface generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
interface OnlineStoreInterface extends Interface
    abstract;

function bool QueryStore()
{
    //return ReturnValue;    
}

delegate OnQueryStore(const string StoreData)
{
    //return;    
}

function AddQueryStoreCompleteDelegate(byte LocalUserNum, delegate<OnQueryStore> InDelegate)
{
    //return;    
}

function ClearQueryStoreCompleteDelegate(byte LocalUserNum, delegate<OnQueryStore> InDelegate)
{
    //return;    
}

function bool QueryUnlockLevels()
{
    //return ReturnValue;    
}

delegate OnQueryUnlockLevels(const string UnlockLevelData)
{
    //return;    
}

function AddQueryUnlockLevelCompleteDelegate(byte LocalUserNum, delegate<OnQueryUnlockLevels> InDelegate)
{
    //return;    
}

function ClearQueryUnlockLevelCompleteDelegate(byte LocalUserNum, delegate<OnQueryUnlockLevels> InDelegate)
{
    //return;    
}

delegate OnQueryOffers(const string OfferData)
{
    //return;    
}

function AddQueryOffersCompleteDelegate(byte LocalUserNum, delegate<OnQueryOffers> InDelegate)
{
    //return;    
}

function ClearQueryOffersCompleteDelegate(byte LocalUserNum, delegate<OnQueryOffers> InDelegate)
{
    //return;    
}

function bool QueryHistory(const UniqueNetId ForId)
{
    //return ReturnValue;    
}

delegate OnQueryHistory(const UniqueNetId ForId, const string HistoryData)
{
    //return;    
}

function AddQueryHistoryCompleteDelegate(byte LocalUserNum, delegate<OnQueryHistory> InDelegate)
{
    //return;    
}

function ClearQueryHistoryCompleteDelegate(byte LocalUserNum, delegate<OnQueryHistory> InDelegate)
{
    //return;    
}

delegate OnHistoryUpdated(const UniqueNetId ForId, const string HistoryData)
{
    //return;    
}

function AddHistoryUpdatedDelegate(byte LocalUserNum, delegate<OnHistoryUpdated> InDelegate)
{
    //return;    
}

function ClearHistoryUpdatedDelegate(byte LocalUserNum, delegate<OnHistoryUpdated> InDelegate)
{
    //return;    
}

function bool RedeemHistory(const string OfferGuid)
{
    //return ReturnValue;    
}

delegate OnRedeemHistory(bool bSuccess, const string OfferGuid)
{
    //return;    
}

function AddRedeemHistoryCompleteDelegate(byte LocalUserNum, delegate<OnRedeemHistory> InDelegate)
{
    //return;    
}

function ClearRedeemHistoryCompleteDelegate(byte LocalUserNum, delegate<OnRedeemHistory> InDelegate)
{
    //return;    
}

function bool RemoveHistory(const string MissionName)
{
    //return ReturnValue;    
}

delegate OnRemoveHistory(bool bSuccess, const string MissionName)
{
    //return;    
}

function AddRemoveHistoryCompleteDelegate(byte LocalUserNum, delegate<OnRemoveHistory> InDelegate)
{
    //return;    
}

function ClearRemoveHistoryCompleteDelegate(byte LocalUserNum, delegate<OnRemoveHistory> InDelegate)
{
    //return;    
}

function bool PurchaseItem(const string ItemGuid, const byte PurchaseCount, const int PurchaseLength, const OnlineSubsystemTypes.EPurchaseLocation FromLocation, const OnlineSubsystemTypes.ECurrency Currency, const OnlineSubsystemTypes.EPurchaseType PurchaseType, const string Recipient, const string ActivationData)
{
    //return ReturnValue;    
}

delegate OnPurchaseItem(const OnlineSubsystemTypes.EPurchaseResult eResult, const string InstanceId)
{
    //return;    
}

function AddPurchaseItemCompleteDelegate(byte LocalUserNum, delegate<OnPurchaseItem> InDelegate)
{
    //return;    
}

function ClearPurchaseItemCompleteDelegate(byte LocalUserNum, delegate<OnPurchaseItem> InDelegate)
{
    //return;    
}

function bool PurchaseMultipleItems(const array<string> ItemGuids, const array<string> ActivationDatas, const int ExpectedPrice, const float ExpectedDiscount, const OnlineSubsystemTypes.EPurchaseLocation FromLocation, const OnlineSubsystemTypes.ECurrency Currency)
{
    //return ReturnValue;    
}

delegate OnPurchaseMultipleItems(const OnlineSubsystemTypes.EPurchaseMultipleResult eResult, const array<string> Instances)
{
    //return;    
}

function AddPurchaseMultipleItemsCompleteDelegate(byte LocalUserNum, delegate<OnPurchaseMultipleItems> InDelegate)
{
    //return;    
}

function ClearPurchaseMultipleItemCompleteDelegate(byte LocalUserNum, delegate<OnPurchaseMultipleItems> InDelegate)
{
    //return;    
}

function bool RenewItem(const string ItemGuid, const int PurchaseLength, const OnlineSubsystemTypes.EPurchaseLocation FromLocation, const OnlineSubsystemTypes.ECurrency Currency)
{
    //return ReturnValue;    
}

delegate OnRenewItem(const OnlineSubsystemTypes.EPurchaseResult eResult, const string ItemGuid)
{
    //return;    
}

function AddRenewItemCompleteDelegate(byte LocalUserNum, delegate<OnRenewItem> InDelegate)
{
    //return;    
}

function ClearRenewItemCompleteDelegate(byte LocalUserNum, delegate<OnRenewItem> InDelegate)
{
    //return;    
}

function bool DestroyItem(const string ItemGuid)
{
    //return ReturnValue;    
}

delegate OnDestroyItem(const string ItemGuid, const bool bResult)
{
    //return;    
}

function AddDestroyItemCompleteDelegate(byte LocalUserNum, delegate<OnDestroyItem> InDelegate)
{
    //return;    
}

function ClearDestroyItemCompleteDelegate(byte LocalUserNum, delegate<OnDestroyItem> InDelegate)
{
    //return;    
}

function bool ActivateItem(const string ItemGuid, const optional string ActivationData)
{
    ActivationData = "";
    //return ReturnValue;    
}

delegate OnItemActivated(const bool bResult, const OnlineSubsystemTypes.EPurchaseResult eResult)
{
    //return;    
}

function AddActivateItemCompleteDelegate(byte LocalUserNum, delegate<OnItemActivated> InDelegate)
{
    //return;    
}

function ClearActivateItemCompleteDelegate(byte LocalUserNum, delegate<OnItemActivated> InDelegate)
{
    //return;    
}

function bool ConsumeItem(UniqueNetId ForId, const string ItemGuid, int ConsumeAmount, optional bool bStrict)
{
    //return ReturnValue;    
}

function bool ConsumeItemByID(UniqueNetId ForId, int UnlockID, int ConsumeAmount, optional bool bStrict)
{
    //return ReturnValue;    
}

function bool ConsumeItems(UniqueNetId ForId, const array<ConsumeItemEntry> SubRequests, optional bool bStrict)
{
    //return ReturnValue;    
}

delegate OnItemConsumed(const bool bResult, const UniqueNetId ForId, array<string> AffectedItemGuids)
{
    //return;    
}

function AddConsumeItemCompleteDelegate(byte LocalUserNum, delegate<OnItemConsumed> InDelegate)
{
    //return;    
}

function ClearConsumeItemCompleteDelegate(byte LocalUserNum, delegate<OnItemConsumed> InDelegate)
{
    //return;    
}

function bool QueryInventory(UniqueNetId ForId, optional bool bInvalidateCached)
{
    bInvalidateCached = true;
    //return ReturnValue;    
}

delegate OnQueryInventory(const UniqueNetId ForId, const bool bResult, const string InventoryData)
{
    //return;    
}

function AddQueryInventoryCompleteDelegate(byte LocalUserNum, delegate<OnQueryInventory> InDelegate)
{
    //return;    
}

function ClearQueryInventoryCompleteDelegate(byte LocalUserNum, delegate<OnQueryInventory> InDelegate)
{
    //return;    
}

delegate OnInventoryUpdated(const UniqueNetId ForId, const string InventoryData)
{
    //return;    
}

function AddInventoryUpdatedDelegate(byte LocalUserNum, delegate<OnInventoryUpdated> InDelegate)
{
    //return;    
}

function ClearInventoryUpdatedDelegate(byte LocalUserNum, delegate<OnInventoryUpdated> InDelegate)
{
    //return;    
}

function bool QueryFunds(UniqueNetId ForId)
{
    //return ReturnValue;    
}

delegate OnBalanceChanged(const UniqueNetId ForId, byte LocalUserNum, int NewZPBalance, int NewGPBalance)
{
    //return;    
}

function AddBalanceChangedDelegate(byte LocalUserNum, delegate<OnBalanceChanged> InDelegate)
{
    //return;    
}

function ClearBalanceChangedDelegate(byte LocalUserNum, delegate<OnBalanceChanged> InDelegate)
{
    //return;    
}

function bool QueryFundsGP(UniqueNetId ForId)
{
    //return ReturnValue;    
}

delegate OnGPBalanceChanged(const UniqueNetId ForId, byte LocalUserNum, int NewGPBalance)
{
    //return;    
}

function AddGPBalanceChangedDelegate(byte LocalUserNum, delegate<OnGPBalanceChanged> InDelegate)
{
    //return;    
}

function ClearGPBalanceChangedDelegate(byte LocalUserNum, delegate<OnGPBalanceChanged> InDelegate)
{
    //return;    
}

function bool QueryFundsZP(UniqueNetId ForId)
{
    //return ReturnValue;    
}

delegate OnZPBalanceChanged(const UniqueNetId ForId, byte LocalUserNum, int NewZPBalance)
{
    //return;    
}

function AddZPBalanceChangedDelegate(byte LocalUserNum, delegate<OnZPBalanceChanged> InDelegate)
{
    //return;    
}

function ClearZPBalanceChangedDelegate(byte LocalUserNum, delegate<OnZPBalanceChanged> InDelegate)
{
    //return;    
}

function bool QueryXP(UniqueNetId ForId)
{
    //return ReturnValue;    
}

delegate OnXPQueryComplete(const UniqueNetId ForId, byte LocalUserNum, int XPAmount, bool bSuccess)
{
    //return;    
}

function AddXPQueryCompleteDelegate(byte LocalUserNum, delegate<OnXPQueryComplete> InDelegate)
{
    //return;    
}

function ClearXPQueryCompleteDelegate(byte LocalUserNum, delegate<OnXPQueryComplete> InDelegate)
{
    //return;    
}

function bool AddGP(UniqueNetId ForId, const int Amount)
{
    //return ReturnValue;    
}

delegate OnGPAdded(const UniqueNetId ForId, byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddGPAddCompleteDelegate(byte LocalUserNum, delegate<OnGPAdded> InDelegate)
{
    //return;    
}

function ClearGPAddCompleteDelegate(byte LocalUserNum, delegate<OnGPAdded> InDelegate)
{
    //return;    
}

function bool AddXP(UniqueNetId ForId, const int Amount)
{
    //return ReturnValue;    
}

delegate OnXPAdded(const UniqueNetId ForId, byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddXPAddCompleteDelegate(byte LocalUserNum, delegate<OnXPAdded> InDelegate)
{
    //return;    
}

function ClearXPAddCompleteDelegate(byte LocalUserNum, delegate<OnXPAdded> InDelegate)
{
    //return;    
}

function bool InitPurchaseCurrency(UniqueNetId ForId, const int AmountToPurchase)
{
    //return ReturnValue;    
}

delegate OnInitPurchaseCurrency(const UniqueNetId ForId, byte LocalUserNum, bool bSuccess, string UsableURL)
{
    //return;    
}

function AddInitPurchaseCurrencyDelegate(byte LocalUserNum, delegate<OnInitPurchaseCurrency> InDelegate)
{
    //return;    
}

function ClearInitPurchaseCurrencyDelegate(byte LocalUserNum, delegate<OnInitPurchaseCurrency> InDelegate)
{
    //return;    
}

function bool FinalizePurchaseCurrency(UniqueNetId ForId, QWord OrderID, bool bAuthorized)
{
    //return ReturnValue;    
}

delegate OnFinalizePurchaseCurrency(const UniqueNetId ForId, byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddFinalizePurchaseCurrencyDelegate(byte LocalUserNum, delegate<OnFinalizePurchaseCurrency> InDelegate)
{
    //return;    
}

function ClearFinalizePurchaseCurrencyDelegate(byte LocalUserNum, delegate<OnFinalizePurchaseCurrency> InDelegate)
{
    //return;    
}

function bool RequestMigrateAccount(UniqueNetId ForId, Guid TransactionGUID)
{
    //return ReturnValue;    
}

delegate OnRequestMigrateAccount(const UniqueNetId ForId, byte LocalUserNum, bool bRequestSuccess, OnlineSubsystemTypes.EMigrateAccountStatusCode StatusCode)
{
    //return;    
}

function AddRequestMigrateAccountDelegate(byte LocalUserNum, delegate<OnRequestMigrateAccount> InDelegate)
{
    //return;    
}

function ClearRequestMigrateAccountDelegate(byte LocalUserNum, delegate<OnRequestMigrateAccount> InDelegate)
{
    //return;    
}

function bool ChangeName(const string NewName)
{
    //return ReturnValue;    
}

delegate OnNameChanged(byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddNameChangedCompleteDelegate(byte LocalUserNum, delegate<OnNameChanged> InDelegate)
{
    //return;    
}

function ClearNameChangedCompleteDelegate(byte LocalUserNum, delegate<OnNameChanged> InDelegate)
{
    //return;    
}

function bool QueryEmail()
{
    //return ReturnValue;    
}

delegate OnQueryEmailComplete(byte LocalUserNum, bool bSuccess, string ProfileEmail)
{
    //return;    
}

function AddQueryEmailCompleteDelegate(byte LocalUserNum, delegate<OnQueryEmailComplete> InDelegate)
{
    //return;    
}

function ClearQueryEmailCompleteDelegate(byte LocalUserNum, delegate<OnQueryEmailComplete> InDelegate)
{
    //return;    
}

function bool CreateCharacter(const string NewName, const out array<int> ProfileFlags)
{
    //return ReturnValue;    
}

delegate OnCharacterCreated(byte LocalUseNum, bool bSuccess)
{
    //return;    
}

function AddCharacterCreatedCompleteDelegate(byte LocalUserNum, delegate<OnCharacterCreated> InDelegate)
{
    //return;    
}

function ClearCharacterCreatedCompleteDelegate(byte LocalUserNum, delegate<OnCharacterCreated> InDelegate)
{
    //return;    
}

function bool RegisterUser(const out RegisterUserParams Params)
{
    //return ReturnValue;    
}

delegate OnUserRegistered(byte LocalUseNum, byte ResponseCode)
{
    //return;    
}

function AddUserRegisteredCompleteDelegate(byte LocalUserNum, delegate<OnUserRegistered> InDelegate)
{
    //return;    
}

function ClearUserRegisteredCompleteDelegate(byte LocalUserNum, delegate<OnUserRegistered> InDelegate)
{
    //return;    
}

function bool QueryProfile(UniqueNetId ForId)
{
    //return ReturnValue;    
}

function bool QueryProfileByName(string ForName)
{
    //return ReturnValue;    
}

delegate OnProfileQueryComplete(const UniqueNetId ForId, bool bSuccess, string PlayerName, int Experience, bool bFemaleChar, QWord BadgeData, int TitleIndex, string LastSeenTime, int PrestigeLvl)
{
    //return;    
}

function AddQueryProfileCompleteDelegate(byte LocalUserNum, delegate<OnProfileQueryComplete> InDelegate)
{
    //return;    
}

function ClearQueryProfileCompleteDelegate(byte LocalUserNum, delegate<OnProfileQueryComplete> InDelegate)
{
    //return;    
}

function bool QueryBatchProfile(array<UniqueNetId> ForIds)
{
    //return ReturnValue;    
}

function bool QueryBatchProfileByName(array<string> ForNames)
{
    //return ReturnValue;    
}

delegate OnQueryBatchProfileComplete(bool bSuccess, array<UserProfileInfo> Profiles)
{
    //return;    
}

function AddQueryBatchProfileCompleteDelegate(byte LocalUserNum, delegate<OnQueryBatchProfileComplete> InDelegate)
{
    //return;    
}

function ClearQueryBatchProfileCompleteDelegate(byte LocalUserNum, delegate<OnQueryBatchProfileComplete> InDelegate)
{
    //return;    
}

function bool QuerySkills(UniqueNetId ForId)
{
    //return ReturnValue;    
}

delegate OnSkillQueryComplete(const UniqueNetId ForId, byte LocalUserNum, bool bSuccess, const out array<byte> SkillData)
{
    //return;    
}

function AddSkillQueryCompleteDelegate(byte LocalUserNum, delegate<OnSkillQueryComplete> InDelegate)
{
    //return;    
}

function ClearSkillQueryCompleteDelegate(byte LocalUserNum, delegate<OnSkillQueryComplete> InDelegate)
{
    //return;    
}

function bool UpdateSkills(const out array<byte> SkillData)
{
    //return ReturnValue;    
}

delegate OnSkillUpdateComplete(byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddSkillUpdateCompleteDelegate(byte LocalUserNum, delegate<OnSkillUpdateComplete> InDelegate)
{
    //return;    
}

function ClearSkillUpdateCompleteDelegate(byte LocalUserNum, delegate<OnSkillUpdateComplete> InDelegate)
{
    //return;    
}

function QWord GetEmblem()
{
    //return ReturnValue;    
}

function int GetTitle()
{
    //return ReturnValue;    
}

function bool QueryMail()
{
    //return ReturnValue;    
}

delegate OnQueryMailComplete(byte LocalUserNum, string MailData)
{
    //return;    
}

function AddQueryMailCompleteDelegate(byte LocalUserNum, delegate<OnQueryMailComplete> InDelegate)
{
    //return;    
}

function ClearQueryMailCompleteDelegate(byte LocalUserNum, delegate<OnQueryMailComplete> InDelegate)
{
    //return;    
}

function bool DestroyMail(string MailID)
{
    //return ReturnValue;    
}

delegate OnDestroyMailComplete(byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddDestroyMailCompleteDelegate(byte LocalUserNum, delegate<OnDestroyMailComplete> InDelegate)
{
    //return;    
}

function ClearDestroyMailCompleteDelegate(byte LocalUserNum, delegate<OnDestroyMailComplete> InDelegate)
{
    //return;    
}

function bool SendMail(string ToPlayer, string Subject, string Message, string ItemA, string ItemB, string ItemC, string ItemD, int GPAmount, int ZPAmount)
{
    //return ReturnValue;    
}

delegate OnSendMailComplete(byte LocalUserNum, bool bSuccess, OnlineSubsystemTypes.EMailSendResult ResultCode)
{
    //return;    
}

function AddSendMailCompleteDelegate(byte LocalUserNum, delegate<OnSendMailComplete> InDelegate)
{
    //return;    
}

function ClearSendMailCompleteDelegate(byte LocalUserNum, delegate<OnSendMailComplete> InDelegate)
{
    //return;    
}

function bool OpenMail(string MailID)
{
    //return ReturnValue;    
}

delegate OnOpenMailComplete(byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddOpenMailCompleteDelegate(byte LocalUserNum, delegate<OnOpenMailComplete> InDelegate)
{
    //return;    
}

function ClearOpenMailCompleteDelegate(byte LocalUserNum, delegate<OnOpenMailComplete> InDelegate)
{
    //return;    
}

function bool MarkMailRead(string MailID)
{
    //return ReturnValue;    
}

delegate OnMarkMailReadComplete(byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddMarkMailReadCompleteDelegate(byte LocalUserNum, delegate<OnMarkMailReadComplete> InDelegate)
{
    //return;    
}

function ClearMarkMailReadCompleteDelegate(byte LocalUserNum, delegate<OnMarkMailReadComplete> InDelegate)
{
    //return;    
}

delegate OnMailNotification(const string MailData)
{
    //return;    
}

function AddMailNotificationDelegate(byte LocalUserNum, delegate<OnMailNotification> InDelegate)
{
    //return;    
}

function ClearMailNotificationDelegate(byte LocalUserNum, delegate<OnMailNotification> InDelegate)
{
    //return;    
}

function OnlineSubsystemTypes.EGameRegion GetCurrentRegion()
{
    //return ReturnValue;    
}

function int GetCurrentRegionId()
{
    //return ReturnValue;    
}

function bool RegionChange(OnlineSubsystemTypes.EGameRegion NewRegion, optional bool bFullChange)
{
    bFullChange = true;
    //return ReturnValue;    
}

delegate OnRegionChangeComplete(byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddRegionChangeCompleteDelegate(byte LocalUserNum, delegate<OnRegionChangeComplete> InDelegate)
{
    //return;    
}

function ClearRegionChangeCompleteDelegate(byte LocalUserNum, delegate<OnRegionChangeComplete> InDelegate)
{
    //return;    
}

function bool FuseInventory(string InventoryGuidA, string InventoryGuidB, string AdditionalFuseInfo)
{
    //return ReturnValue;    
}

delegate OnFuseInventoryComplete(bool bSuccess, string ResultGuid)
{
    //return;    
}

function AddFuseInventoryCompleteDelegate(byte LocalUserNum, delegate<OnFuseInventoryComplete> InDelegate)
{
    //return;    
}

function ClearFuseInventoryCompleteDelegate(byte LocalUserNum, delegate<OnFuseInventoryComplete> InDelegate)
{
    //return;    
}

function bool LogClientEvent(const OnlineSubsystemTypes.EEventType EventType, const string InMessage)
{
    //return ReturnValue;    
}

function bool LogServerEvent(const UniqueNetId PlayerID, const OnlineSubsystemTypes.EEventType EventType, const string EventData)
{
    //return ReturnValue;    
}

function bool LogEventsBatch(const OnlineSubsystemTypes.EEventType EventType, const array<string> EventData)
{
    //return ReturnValue;    
}

function string GetServerTimeString()
{
    //return ReturnValue;    
}

function string GetServerVersionString()
{
    //return ReturnValue;    
}

function bool RedeemCode(const string InCode)
{
    //return ReturnValue;    
}

delegate OnRedeemCodeComplete(const string InCode, const byte ResponseCode)
{
    //return;    
}

function AddRedeemCodeCompleteDelegate(byte LocalUserNum, delegate<OnRedeemCodeComplete> InDelegate)
{
    //return;    
}

function ClearRedeemCodeCompleteDelegate(byte LocalUserNum, delegate<OnRedeemCodeComplete> InDelegate)
{
    //return;    
}

function bool ShowTitleStore(const string Target, const int Mode)
{
    //return ReturnValue;    
}

function bool CloseTitleStore()
{
    //return ReturnValue;    
}

delegate OnTitleStorePurchaseComplete(bool bResult)
{
    //return;    
}

function AddTitleStorePurchaseCompleteDelegate(byte LocalUserNum, delegate<OnTitleStorePurchaseComplete> InDelegate)
{
    //return;    
}

function ClearTitleStorePurchaseCompleteDelegate(byte LocalUserNum, delegate<OnTitleStorePurchaseComplete> InDelegate)
{
    //return;    
}

function bool ShowTitleStoreIcon(OnlineSubsystemTypes.ETitleStoreIconLocation Location)
{
    //return ReturnValue;    
}

function bool HideTitleStoreIcon()
{
    //return ReturnValue;    
}

function bool QueryQoS()
{
    //return ReturnValue;    
}

delegate OnQoSQueried(bool bResult, int PingInMs)
{
    //return;    
}

function AddQoSQueriedCompleteDelegate(delegate<OnQoSQueried> InDelegate)
{
    //return;    
}

function ClearQoSQueriedCompleteDelegate(delegate<OnQoSQueried> InDelegate)
{
    //return;    
}

function bool CheckHostablility(WorldInfo WorldInfo)
{
    //return ReturnValue;    
}

delegate OnStatWriteComplete(bool bSuccess)
{
    //return;    
}

function AddStatWriteCompleteDelegate(delegate<OnStatWriteComplete> InDelegate)
{
    //return;    
}

function ClearStatWriteCompleteDelegate(delegate<OnStatWriteComplete> InDelegate)
{
    //return;    
}

function bool PreLogin(byte LocalUserNum)
{
    //return ReturnValue;    
}

delegate OnPreloginComplete(bool bResult)
{
    //return;    
}

function AddPreLoginCompleteDelegate(delegate<OnPreloginComplete> InDelegate)
{
    //return;    
}

function ClearPreLoginCompleteDelegate(delegate<OnPreloginComplete> InDelegate)
{
    //return;    
}

function bool CheckLoginServerAvailability()
{
    //return ReturnValue;    
}

delegate OnCheckLoginServerAvailability(byte InCode, string InMessage)
{
    //return;    
}

function AddCheckLoginServerAvailabilityDelegate(delegate<OnCheckLoginServerAvailability> InDelegate)
{
    //return;    
}

function ClearCheckLoginServerAvailabilityDelegate(delegate<OnCheckLoginServerAvailability> InDelegate)
{
    //return;    
}

function SetCachedErrorStatus(OnlineSubsystem.EOnlineServerConnectionStatus Status)
{
    //return;    
}

function OnlineSubsystem.EOnlineServerConnectionStatus GetCachedErrorStatus()
{
    //return ReturnValue;    
}

function bool IsCachedErrorStatusSet()
{
    //return ReturnValue;    
}

function ClearCachedErrorStatus()
{
    //return;    
}

function bool CheckLoginQueue(byte LocalUserNum, string AccountName)
{
    //return ReturnValue;    
}

delegate OnLoginQueue(byte LocalUserNum, int NumPlayers, int PositionInQueue, int WaitTime)
{
    //return;    
}

function AddLoginQueueDelegate(delegate<OnLoginQueue> InDelegate)
{
    //return;    
}

function ClearLoginQueueDelegate(delegate<OnLoginQueue> InDelegate)
{
    //return;    
}

function AddServerToWhiteList(const byte RegionID)
{
    //return;    
}

function bool CheckServerAvailability(const byte RegionID)
{
    //return ReturnValue;    
}

delegate OnServerAvailability(byte RegionID, byte AvailabilityCode, optional int iParam1, optional int iParam2)
{
    //return;    
}

function AddServerAvailabilityDelegate(delegate<OnServerAvailability> InDelegate)
{
    //return;    
}

function ClearServerAvailabilityDelegate(delegate<OnServerAvailability> InDelegate)
{
    //return;    
}

function bool PingServer(const string Address, int TimeoutSeconds)
{
    //return ReturnValue;    
}

delegate OnServerPing(const string Address, const Double RecvTime)
{
    //return;    
}

function AddPingServerDelegate(delegate<OnServerPing> InDelegate)
{
    //return;    
}

function ClearPingServerDelegate(delegate<OnServerPing> InDelegate)
{
    //return;    
}

delegate OnPresenceUpdated(UniqueNetId User, int State, string Data, string LastSeen)
{
    //return;    
}

function AddPresenceUpdatedDelegate(delegate<OnPresenceUpdated> InDelegate)
{
    //return;    
}

function ClearPresenceUpdatedDelegate(delegate<OnPresenceUpdated> InDelegate)
{
    //return;    
}

function bool PlayerPrestiged(UniqueNetId ForId)
{
    //return ReturnValue;    
}

delegate OnPlayerPrestigedComplete(const UniqueNetId ForId, byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddPlayerPrestigedCompleteDelegate(byte LocalUserNum, delegate<OnPlayerPrestigedComplete> InDelegate)
{
    //return;    
}

function ClearPlayerPrestigedCompleteDelegate(byte LocalUserNum, delegate<OnPlayerPrestigedComplete> InDelegate)
{
    //return;    
}

function bool CheckCompletedOffers(UniqueNetId ForId, string LastLoginDate)
{
    //return ReturnValue;    
}

delegate OnCheckCompletedOffersComplete(const UniqueNetId ForId, byte LocalUserNum, bool bSuccess)
{
    //return;    
}

function AddCheckCompletedOffersCompleteDelegate(byte LocalUserNum, delegate<OnCheckCompletedOffersComplete> InDelegate)
{
    //return;    
}

function ClearCheckCompletedOffersCompleteDelegate(byte LocalUserNum, delegate<OnCheckCompletedOffersComplete> InDelegate)
{
    //return;    
}

function bool LoadoutQuery(UniqueNetId UserId)
{
    //return ReturnValue;    
}

delegate OnLoadoutQuery(const bool bSuccess, const string LoadoutsListXML)
{
    //return;    
}

function AddLoadoutQueryDelegate(delegate<OnLoadoutQuery> InDelegate)
{
    //return;    
}

function ClearLoadoutQueryDelegate(delegate<OnLoadoutQuery> InDelegate)
{
    //return;    
}

function bool LoadoutCreate(UniqueNetId UserId)
{
    //return ReturnValue;    
}

delegate OnLoadoutCreated(const bool bSuccess, const string LoadoutXML)
{
    //return;    
}

function AddLoadoutCreatedDelegate(delegate<OnLoadoutCreated> InDelegate)
{
    //return;    
}

function ClearLoadoutCreatedDelegate(delegate<OnLoadoutCreated> InDelegate)
{
    //return;    
}

function bool LoadoutUpdate(UniqueNetId UserId, const string LoadoutId, const string LoadoutName, const string LoadoutData)
{
    //return ReturnValue;    
}

delegate OnLoadoutUpdated(const bool bSuccess, const string LoadoutXML)
{
    //return;    
}

function AddLoadoutUpdatedDelegate(delegate<OnLoadoutUpdated> InDelegate)
{
    //return;    
}

function ClearLoadoutUpdatedDelegate(delegate<OnLoadoutUpdated> InDelegate)
{
    //return;    
}

function bool LoadoutRemove(UniqueNetId UserId, const string LoadoutId)
{
    //return ReturnValue;    
}

delegate OnLoadoutRemoved(const bool bSuccess, const string LoadoutXML)
{
    //return;    
}

function AddLoadoutRemoveDelegate(delegate<OnLoadoutRemoved> InDelegate)
{
    //return;    
}

function ClearLoadoutRemoveDelegate(delegate<OnLoadoutRemoved> InDelegate)
{
    //return;    
}

function bool LoadoutInstall(UniqueNetId UserId, const string ShareCode)
{
    //return ReturnValue;    
}

delegate OnLoadoutInstall(const bool bSuccess, const string LoadoutXML)
{
    //return;    
}

function AddLoadoutInstallDelegate(delegate<OnLoadoutInstall> InDelegate)
{
    //return;    
}

function ClearLoadoutInstallDelegate(delegate<OnLoadoutInstall> InDelegate)
{
    //return;    
}

function bool LoadoutShare(UniqueNetId UserId, const string LoadoutId)
{
    //return ReturnValue;    
}

delegate OnLoadoutShared(const bool bSuccess, const string ShareCode)
{
    //return;    
}

function AddLoadoutShareDelegate(delegate<OnLoadoutShared> InDelegate)
{
    //return;    
}

function ClearLoadoutShareDelegate(delegate<OnLoadoutShared> InDelegate)
{
    //return;    
}

function bool LoadoutClone(UniqueNetId UserId, const string LoadoutId)
{
    //return ReturnValue;    
}

delegate OnLoadoutCloned(const bool bSuccess, const string LoadoutXML)
{
    //return;    
}

function AddLoadoutCloneDelegate(delegate<OnLoadoutCloned> InDelegate)
{
    //return;    
}

function ClearLoadoutCloneDelegate(delegate<OnLoadoutCloned> InDelegate)
{
    //return;    
}
